Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteResourceAliasManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteResourceAliasManager

extends java.rmi.Remote

RemoteResourceAliasManager is used to manage resource aliases remotely.

Method Summary
`java.util.Vector` | `allAssignedGroups(java.lang.String realmName, java.lang.String submitter)` Retrieve all groups for whom an resource alias tree has been set.
`java.util.Vector` | `allAssignedRoles(java.lang.String realmName, java.lang.String submitter)` Retrieve all roles for whom an resource alias tree has been set.
`java.util.Vector` | `allAssignedUsers(java.lang.String realmName, java.lang.String submitter)` Retrieve all users for whom an resource alias tree has been set.
`void` | `deleteAliasOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName, java.lang.String aliasPath)` Delete a specified alias node in the resource alias tree for a group.
`void` | `deleteAliasOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName, java.lang.String aliasPath)` Delete a specified alias node in the resource alias tree for a role.
`void` | `deleteAliasOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName, java.lang.String aliasPath)` Delete a specified alias node in the resource alias tree for a user.
`java.util.Vector` | `getAliasesOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName)` Get all alias nodes in the resource alias tree for a specified group.
`java.util.Vector` | `getAliasesOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName)` Get all alias nodes in the resource alias tree for a specified role.
`java.util.Vector` | `getAliasesOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName)` Get all alias nodes in the resource alias tree for a specified user.
`java.lang.String` | `getAllResource(java.lang.String realmName, java.lang.String submitter)` get the name of an xml file which contains the names of all resources in the server resource tree
`boolean` | `hasAliasOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName)` Check whether an resource alias tree has been set for the group
`boolean` | `hasAliasOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName)` Check whether an resource alias tree has been set for the role
`boolean` | `hasAliasOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName)` Check whether an resource alias tree has been set for the user
`boolean` | `hiddenSubaliasGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName, java.lang.String aliasPath)` Check whether an alias of a group is hidden.
`boolean` | `hiddenSubaliasRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName, java.lang.String aliasPath)` Check whether an alias of a role is hidden.
`boolean` | `hiddenSubaliasUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName, java.lang.String aliasPath)` Check whether an alias of a user is hidden.
`java.lang.String` | `refreshAliasOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName)` refresh the resource alias tree for a group
`java.lang.String` | `refreshAliasOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName)` refresh the resource alias tree for a role
`java.lang.String` | `refreshAliasOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName)` refresh the resource alias tree for a user
`java.lang.String` | `setAliasForGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName, java.lang.String aliasPath, java.lang.String reaourcePath, boolean hidden)` Set resource alias for a group.
`java.lang.String` | `setAliasForRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName, java.lang.String aliasPath, java.lang.String reaourcePath, boolean hidden)` Set resource alias for a role.
`java.lang.String` | `setAliasForUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName, java.lang.String aliasPath, java.lang.String reaourcePath, boolean hidden)` Set resource alias for a user.

Method Detail

### setAliasForUser

    java.lang.String setAliasForUser(java.lang.String realmName,
                                     java.lang.String submitter,
                                     java.lang.String userName,
                                     java.lang.String aliasPath,
                                     java.lang.String reaourcePath,
                                     boolean hidden)
                                     throws java.rmi.RemoteException

  Set resource alias for a user.

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who sets alias. Only administrator can set alias.
    `userName` - the user who is assigned alias
    `aliasPath` - the complete alias path in the resource tree
    `reaourcePath` - the complete resource path that the alias is mapped to
    `hidden` - the flag of hidden alias
  Returns:
    Return null if successed, otherwise return error message.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setAliasForRole

    java.lang.String setAliasForRole(java.lang.String realmName,
                                     java.lang.String submitter,
                                     java.lang.String roleName,
                                     java.lang.String aliasPath,
                                     java.lang.String reaourcePath,
                                     boolean hidden)
                                     throws java.rmi.RemoteException

  Set resource alias for a role.

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who set the alias, only administrator can set alias
    `roleName` - the role who will be assigned alias
    `aliasPath` - the complete alias path in the resource tree
    `reaourcePath` - the complete resource path that the alias is mapped to
    `hidden` - the flag of hidden alias
  Returns:
    Return null if successed, otherwise return error message.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setAliasForGroup

    java.lang.String setAliasForGroup(java.lang.String realmName,
                                      java.lang.String submitter,
                                      java.lang.String groupName,
                                      java.lang.String aliasPath,
                                      java.lang.String reaourcePath,
                                      boolean hidden)
                                      throws java.rmi.RemoteException

  Set resource alias for a group.

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who set the alias, only administrator can set alias
    `groupName` - the group who will be assigned alias
    `aliasPath` - the complete alias path int the resource tree
    `reaourcePath` - the complete resource path that the alias is mapped to
    `hidden` - the flag of hidden alias
  Returns:
    Return null if successed, otherwise return error message.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### hasAliasOfUser

    boolean hasAliasOfUser(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String userName)
                           throws java.rmi.RemoteException

  Check whether an resource alias tree has been set for the user

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who submits the check request
    `userName` - the user name
  Returns:
    Returns true if an resource alias tree has been set for the user
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### hasAliasOfRole

    boolean hasAliasOfRole(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String roleName)
                           throws java.rmi.RemoteException

  Check whether an resource alias tree has been set for the role

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
  Returns:
    Returns true if an resource alias tree has been set for the role
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### hasAliasOfGroup

    boolean hasAliasOfGroup(java.lang.String realmName,
                            java.lang.String submitter,
                            java.lang.String groupName)
                            throws java.rmi.RemoteException

  Check whether an resource alias tree has been set for the group

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `groupName` - the group name
  Returns:
    Returns true if an resource alias tree has been set for the role
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### allAssignedUsers

    java.util.Vector allAssignedUsers(java.lang.String realmName,
                                      java.lang.String submitter)
                                      throws java.rmi.RemoteException

  Retrieve all users for whom an resource alias tree has been set.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    Returns a Vector object containing user names.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### allAssignedRoles

    java.util.Vector allAssignedRoles(java.lang.String realmName,
                                      java.lang.String submitter)
                                      throws java.rmi.RemoteException

  Retrieve all roles for whom an resource alias tree has been set.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    Returns a Vector object containing role names.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### allAssignedGroups

    java.util.Vector allAssignedGroups(java.lang.String realmName,
                                       java.lang.String submitter)
                                       throws java.rmi.RemoteException

  Retrieve all groups for whom an resource alias tree has been set.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    Returns a Vector object containing group names.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAliasesOfUser

    java.util.Vector getAliasesOfUser(java.lang.String realmName,
                                      java.lang.String submitter,
                                      java.lang.String userName)
                                      throws java.rmi.RemoteException

  Get all alias nodes in the resource alias tree for a specified user.

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `userName` - the user name
  Returns:
    Returns a Vector containing `ResourceAlias` objects
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAliasesOfRole

    java.util.Vector getAliasesOfRole(java.lang.String realmName,
                                      java.lang.String submitter,
                                      java.lang.String roleName)
                                      throws java.rmi.RemoteException

  Get all alias nodes in the resource alias tree for a specified role.

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `roleName` - the role name
  Returns:
    Return a Vector contains `ResourceAlias` objects
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAliasesOfGroup

    java.util.Vector getAliasesOfGroup(java.lang.String realmName,
                                       java.lang.String submitter,
                                       java.lang.String groupName)
                                       throws java.rmi.RemoteException

  Get all alias nodes in the resource alias tree for a specified group.

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `groupName` - the group name
  Returns:
    Return a Vector contains `ResourceAlias` objects
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### hiddenSubaliasUser

    boolean hiddenSubaliasUser(java.lang.String realmName,
                               java.lang.String submitter,
                               java.lang.String userName,
                               java.lang.String aliasPath)
                               throws java.rmi.RemoteException

  Check whether an alias of a user is hidden.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `userName` - the user name
    `aliasPath` - the alias complete path
  Returns:
    true if hidden
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### hiddenSubaliasRole

    boolean hiddenSubaliasRole(java.lang.String realmName,
                               java.lang.String submitter,
                               java.lang.String roleName,
                               java.lang.String aliasPath)
                               throws java.rmi.RemoteException

  Check whether an alias of a role is hidden.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
    `aliasPath` - the complete alias path
  Returns:
    true if hidden
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### hiddenSubaliasGroup

    boolean hiddenSubaliasGroup(java.lang.String realmName,
                                java.lang.String submitter,
                                java.lang.String groupName,
                                java.lang.String aliasPath)
                                throws java.rmi.RemoteException

  Check whether an alias of a group is hidden.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `groupName` - the group name
    `aliasPath` - the alias complete path
  Returns:
    true if hidden
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### deleteAliasOfUser

    void deleteAliasOfUser(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String userName,
                           java.lang.String aliasPath)
                           throws java.rmi.RemoteException

  Delete a specified alias node in the resource alias tree for a user.

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `userName` - the user name
    `aliasPath` - the complete alias path
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### deleteAliasOfRole

    void deleteAliasOfRole(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String roleName,
                           java.lang.String aliasPath)
                           throws java.rmi.RemoteException

  Delete a specified alias node in the resource alias tree for a role.

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `roleName` - the role name
    `aliasPath` - the alias complete path
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### deleteAliasOfGroup

    void deleteAliasOfGroup(java.lang.String realmName,
                            java.lang.String submitter,
                            java.lang.String groupName,
                            java.lang.String aliasPath)
                            throws java.rmi.RemoteException

  Delete a specified alias node in the resource alias tree for a group.

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `groupName` - the group name
    `aliasPath` - the alias complete path
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### refreshAliasOfUser

    java.lang.String refreshAliasOfUser(java.lang.String realmName,
                                        java.lang.String submitter,
                                        java.lang.String userName)
                                        throws java.rmi.RemoteException

  refresh the resource alias tree for a user

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `userName` - the user name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### refreshAliasOfRole

    java.lang.String refreshAliasOfRole(java.lang.String realmName,
                                        java.lang.String submitter,
                                        java.lang.String roleName)
                                        throws java.rmi.RemoteException

  refresh the resource alias tree for a role

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `roleName` - the role name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### refreshAliasOfGroup

    java.lang.String refreshAliasOfGroup(java.lang.String realmName,
                                         java.lang.String submitter,
                                         java.lang.String groupName)
                                         throws java.rmi.RemoteException

  refresh the resource alias tree for a group

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `groupName` - the group name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAllResource

    java.lang.String getAllResource(java.lang.String realmName,
                                    java.lang.String submitter)
                                    throws java.rmi.RemoteException

  get the name of an xml file which contains the names of all resources in the server resource tree

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD